Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

randomnumber Member List

This is the complete list of members for randomnumber, including all inherited members.

generateNumber(uint32_t *result) | randomnumber |
generateNumber(uint32_t seed) | randomnumber | static
generateScaledNumber(int32_t lower, int32_t upper, int32_t *result) | randomnumber |
generateScaledNumber(uint32_t seed, int32_t lower, int32_t upper) | randomnumber | static
getRandMax() | randomnumber | static
getSeed() | randomnumber | static
needsMutex() | randomnumber | static
randomnumber() | randomnumber |
scaleNumber(uint32_t number, int32_t lower, int32_t upper) | randomnumber | static
setMutex(threadmutex *mtx) | randomnumber | static
setSeed(uint32_t seed) | randomnumber |
~randomnumber() | randomnumber |